simple-sync-phone
=================

Automatic configuration
-----------------------

This step is the most specific to **SimpleSSHD** which expects, by default, its `authorized_keys` file in the application directory.

This step ensures that the required tools are present on the Linux machine and then copies your public key to the `authorized_keys` file on the phone.

If the phone's IP address is not given, **simple-sync-phone** attempts to determine it automatically.

For each phone, use the command (adapting the port):

```bash
simple-sync-phone -P 2223 --init
```

then:

```bash
simple-sync-phone -P 2224 --init
```

and so on.

Note that after updating the public key on the phone, it is advisable to restart the **sshd** server. Stop **SimpleSSHD** and then restart it.

---
Synchronization using **simple-sync-phone**
-------------------------------------------

For each phone, synchronize the directory or file as follows:

```bash
simple-sync-phone -P 2223 --source "${HOME}/Documents/testfile.json" -D '/sdcard/Documents/'
```

then:

```bash
simple-sync-phone -P 2224 --source "${HOME}/Documents/testfile.json" -D '/sdcard/Documents/'
```

and so on.

---

[Return to the documentation home page](../README.md)
