simple-sync-phone
=================

 Configuration automatique
--------------------------

Cette étape est la plus spécifique à **SimpleSSHD** qui attend, par défaut, son fichier `authorized_keys` dans le répertoire de l’application.

Cette étape s’assure que les outils requis soit présent sur la machine Linux puis elle copie votre clé publique dans le fichier `authorized_keys` sur le téléphone.

Si l’adresse IP du téléphone n’est pas donnée, **simple-sync-phone** tente de la déterminer automatiquement.

Pour chaque téléphone, utilisez la commande (en adaptant le port) :

```bash
simple-sync-phone -P 2223 --init
```

ensuite :

```bash
simple-sync-phone -P 2224 --init
```

ainsi de suite.

Notez qu’après la mise à jour de la clé publique sur le téléphone, il est souhaitable de redémarrer le serveur **sshd**. Arrêter **SimpleSSHD** puis relancer le.

---
Synchronisation à l’aide de **simple-sync-phone**
-------------------------------------------------

Pour chaque téléphone synchroniser le répertoire ou le fichier comme suit :

```bash
simple-sync-phone -P 2223 --source "${HOME}/Documents/testfile.json" -D '/sdcard/Documents/'
```

ensuite :

```bash
simple-sync-phone -P 2224 --source "${HOME}/Documents/testfile.json" -D '/sdcard/Documents/'
```

ainsi de suite.

---

[Retour à la page d'accueil de la documentation](../README-FR.md)

